Bug 177849 - Backup doesn't work
Summary: Backup doesn't work
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql-gui-tools (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-15 16:19 UTC by Remi Collet
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-16 22:03:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use strcat instead of gsprintf in backup module. (1.40 KB, patch)
2006-01-15 16:21 UTC, Remi Collet
no flags Details | Diff

Description Remi Collet 2006-01-15 16:19:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.8) Gecko/20051228 Fedora/1.5-3.fc4.remi Firefox/1.5

Description of problem:
When running a backup an error occurs :


Version-Release number of selected component (if applicable):
mysql-administrator-1.1.5-3.fc4

How reproducible:
Always

Steps to Reproduce:
1. launch mysql-adminstritor
2. create a Bakcup Project
3. Start Backup
  

Actual Results:  Error : "Error running backup. Cannot set ANSI quotes"

Expected Results:  Success :  "Backup written to file '/home/xxx'."

Additional info:

I'm using mysql-administrator 1.1.5 for some time (building my own RPM) and I found a problem in the source : the use of gsprintf with the same input and output buffer.

For exemple : g_sprintf(sql_mode_cmd, "%sANSI_QUOTES", sql_mode_cmd).

A solution is to use a simple strcat.

Comment 1 Remi Collet 2006-01-15 16:21:38 UTC
Created attachment 123218 [details]
Patch to use strcat instead of gsprintf in backup module.

This patch solve the bug for me.

Comment 2 Remi Collet 2006-01-15 20:04:28 UTC
Version 1.1.6 is out.

myx_backup.c is the same as in version 1.1.5, so the patch is still needed.

Comment 3 Dennis Gilmore 2006-01-16 22:03:13 UTC
updated to 1.1.6  and applied your patch.  thanks.

Comment 4 Dennis Gilmore 2007-04-11 15:29:31 UTC
sorry for the noise reassigning all mysql-administrator bugs to 
mysql-gui-tools


Note You need to log in before you can comment on or make changes to this bug.